// file: $isip/class/search/Trace/trace_00.cc
// version: $Id: trace_00.cc 9029 2003-02-15 17:08:33Z alphonso $
//

// isip include files
//
#include "Trace.h"

// method: destructor
//
// arguments: none
//
// return: none
//
// this is the default destructor for the Trace class
//
Trace::~Trace() {

  if (debug_level_d >= Integral::ALL) { 
    fprintf(stdout, "Destructor of trace: %p\n", this);
    fflush(stdout);
  }
  clear();
}

// constants: class name
//
const String Trace::CLASS_NAME(L"Trace");

// static instantiations: memory manager and debug level
//
MemoryManager Trace::mgr_d(sizeof(Trace), CLASS_NAME);
Ulong Trace::nsymbol_length_d = DEF_NSYMBOL_LENGTH;
Integral::DEBUG Trace::debug_level_d = Integral::NONE;

//
// end of file
